<?

	function drop_scheme() {
		global $db, $dbid;
		put_query("drop table t3_".$dbid."_setting");
		put_query("drop table t3_".$dbid."_count");
		put_query("drop table t3_".$dbid);
		put_query("drop table t3_".$dbid."_ct1");
		put_query("drop table t3_".$dbid."_ct2");
		put_query("drop table t3_".$dbid."_files");
		put_query("drop table t3_".$dbid."_reply");
		put_query("drop table t3_".$dbid."_trackback");
		put_query("drop table t3_".$dbid."_tblog");
		put_query("drop table t3_".$dbid."_keyword");
		put_query("drop table t3_".$dbid."_keyword_files");
		put_query("drop table t3_".$dbid."_link");
		put_query("drop table t3_".$dbid."_rss");
		put_query("drop table t3_".$dbid."_rss_group");
		put_query("drop table t3_".$dbid."_rss_item");
	}

	function create_scheme() {
		global $db, $dbid;

		put_query("
			create table t3_".$dbid."_setting (
				user_pass varchar(32) not null default '',
				user_nick varchar(32) not null default 'г Էϼ',
				icount int(11) not null default '0',
				title varchar(255) not null default 'α ̸ Էϼ',
				description varchar(255) not null default 'α  Էϼ',
				imagefile varchar(128) default null,
				imagelabel varchar(128) default null,
				width int(11) not null default '0',
				height int(11) not null default '0',
				page_cnt int not null default '3',
				article_cnt int not null default '10',
				keyword_cnt int not null default '10',
				xml_cnt int not null default '5',
				perm_rp char(1) not null default '1',
				perm_tb char(1) not null default '1',
				skin varchar(255) not null default 'macromedia',
				rct_rp_cnt int not null default '10',
				rct_tb_cnt int not null default '5',
				rct_rp_trunc int not null default '30',
				rct_tb_trunc int not null default '30',
				link_trunc int not null default '26',
				tree varchar(255) not null default 'reader',
				tree_limit int not null default '30',
				tree_back varchar(7) default '',
				tree_c varchar(7) default '000030',
				tree_c2 varchar(7) default 'FFFFFF',
				tree_bc varchar(7) default '',
				tree_bc2 varchar(7) default '0A246A',
				read_cycle int not null default '60',
				delete_cycle int not null default '-1',
				show_member char(1) not null default '1',
				l_key_cache text,
				g_key_cache text
			)
		");

		put_query("
			create table t3_".$dbid."_count (
				set_date varchar(8) not null default '',
				count int(11) not null default '0',
				set_ip varchar(20) not null default '',
				primary key set_date (set_date)
			)
		");

		put_query("
			create table t3_".$dbid." (
				no int not null auto_increment,
				category1 int not null default '0',
				category2 int not null default '0',
				title varchar(255) not null default '',
				body text not null default '',
				user_id varchar(64),
				image_file_path1 varchar(64) default null,
				image_file_path2 varchar(64) default null,
				regdate int not null default '',
				is_public char(1) not null default '0',
				is_sync char(1) not null default '0',
				rp_cnt int not null default '0',
				tb_cnt int not null default '0',
				primary key (no),
				key category1 (category1),
				key category2 (category2),
				key regdate (regdate)
			)
		");

		put_query("
			create table t3_".$dbid."_ct1 (
				no int not null auto_increment,
				sortno int not null default '0',
				label varchar(255) default null,
				primary key (no),
				key sortno (sortno)
			)
		");

		put_query("
			create table t3_".$dbid."_ct2 (
				no int not null auto_increment,
				pno int not null default '0',
				sortno int not null default '0',
				label varchar(255) default null,
				primary key  (no),
				key sortno (sortno)
			)
		");

		put_query("
			create table t3_".$dbid."_files (
				no int(11) not null auto_increment,
				pno int(11) not null default '0',
				attachname varchar(128) default null,
				filename varchar(128) default null,
				filesize int(11) not null default '0',
				width int(11) not null default '0',
				height int(11) not null default '0',
				regdate int not null default '',
				primary key (no),
				key pno (pno)
			)
		");

		put_query("
			create table t3_".$dbid."_reply (
				no int not null auto_increment,
				pno int not null,
				name varchar(255) not null default '',
				homepage varchar(255) not null default '',
				body text not null default '',
				password varchar(16) not null,
				regdate int not null default '',
				ip varchar(16) not null,
				primary key (no),
				key regdate (regdate),
				key pno (pno)
			)
		");

		put_query("
			create table t3_".$dbid."_trackback (
				no int not null auto_increment,
				pno int not null,
				site varchar(255) not null default '',
				url varchar(255) not null default '',
				title varchar(255) not null default '',
				body text not null default '',
				regdate int not null default '',
				ip varchar(16) not null,
				primary key (no),
				key regdate (regdate),
				key pno (pno)
			)
		");

		put_query("
			create table t3_".$dbid."_tblog (
				no int not null auto_increment,
				pno int not null default '0',
				regdate int not null default '',
				ping_url varchar(255) not null default '',
				primary key (no),
				key regdate (regdate)
			)
		");

		put_query("
			create table t3_".$dbid."_keyword (
				no int not null auto_increment,
				sortno int not null default '0',
				keyword varchar(255) not null default '',
				body text not null default '',
				image_file_path1 varchar(64) default null,
				image_file_path2 varchar(64) default null,
				regdate int not null default '',
				is_public char(1) not null default '0',
				primary key (no),
				key sortno (sortno),
				key regdate (regdate)
			)
		");

		put_query("
			create table t3_".$dbid."_keyword_files (
				no int(11) not null auto_increment,
				pno int(11) not null default '0',
				attachname varchar(128) default null,
				filename varchar(128) default null,
				filesize int(11) not null default '0',
				width int(11) not null default '0',
				height int(11) not null default '0',
				regdate int not null default '',
				primary key (no),
				key pno (pno)
			)
		");

		put_query("
			create table t3_".$dbid."_link (
				no int not null auto_increment,
				type char(1) not null default '0',
				xml_url varchar(255) not null default '',
				title varchar(255) not null default '',
				link varchar(255) not null default '',
				regdate int not null default '',
				primary key (no),
				key title (title)
			)
		");

		put_query("
			create table t3_".$dbid."_rss (
				pno int not null default '0',
				no int not null auto_increment,
				xml_url varchar(255) not null default '',
				title varchar(255) not null default '',
				link varchar(255) not null default '',
				description varchar(255) not null default '',
				regdate int not null default '',
				is_sync char(1) not null default '0',
				primary key (no),
				key pno (pno),
				key xml_url (xml_url),
				key regdate (regdate)
			)
		");

		put_query("
			create table t3_".$dbid."_rss_group (
				no int not null auto_increment,
				sortno int not null default '0',
				title varchar(255) not null default '',
				regdate int not null default '',
				primary key (no)
			)
		");

		put_query("
			create table t3_".$dbid."_rss_item (
				no int not null auto_increment,
				rno int not null,
				title varchar(255) not null default '',
				link varchar(255) not null default '',
				description text not null default '',
				subject varchar(255) not null default '',
				creator varchar(255),
				date varchar(255),
				regdate int not null default '',
				is_read char(1) not null default '0',
				primary key (no),
				key rno (rno),
				key regdate (regdate)
			)
		");
	}

?>
